Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 917591 - media-video/handbrake-1.7.0 version bump
Summary: media-video/handbrake-1.7.0 version bump
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-11-19 11:15 UTC by David Duchesne
Modified: 2024-01-28 23:05 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
handbrake-1.7.0.ebuild (handbrake-1.7.0.ebuild,3.59 KB, text/plain)
2023-11-21 03:18 UTC, Gino McCarty
Details
handbrake-1.7.0.ebuild (handbrake-1.7.0.ebuild,3.57 KB, text/plain)
2023-11-21 03:36 UTC, Gino McCarty
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Duchesne 2023-11-19 11:15:16 UTC
https://github.com/HandBrake/HandBrake/releases/tag/1.7.0

Please bump, thanks!

Changelog:

General

    Added Apple VideoToolbox hardware presets
    Updated Creator presets
        Disabled interlacing detection and removal; assume creators are working with progressive sources by default
    Updated Social presets
        Target higher quality and frame rate over shorter durations, without interlacing detection and removal
        Better suited for modern social sharing of short live action clips and screen/game captures
    Removed Email presets in favor of revised Social presets
        Please stop sending videos via email or use the new Social presets
    Miscellaneous bug fixes and improvements

Video

    Added AMD VCN AV1 encoder
    Added NVIDIA NVENC AV1 encoder
    Added support for SVT-AV1 multi-pass ABR mode
    Added support for preserving ambient viewing enviroment metadata
    Added QSV Rotate and Format filters
    Improved performance on arm64 / aarch64 / Apple Silicon architectures
        Latest FFmpeg provides faster HEVC decoding, 30% faster bwdif filter
        New SVT-AV1 assembly optimizations provide up to 4x increase in performance
    Improved video conversion speed by removing unneeded frame copies for better memory efficiency
    Improved Dolby Vision dynamic range metadata pass through
        Supported encoders: x265 10-bit
        Supported profiles and cross-compatibility IDs: 8.4, 8.1, 7.6 (base layer only, converted to 8.1), 5.0
    Improved HDR10+ dynamic range metadata pass through
        Supported encoders: x265 10-bit, SVT-AV1
    Improved QSV support on Linux (#4958)
    Updated NVENC to not use multi-pass by default; user configurable advanced option
    Renamed 2-pass encode option to multi-pass (#5019)
    Fixed Intel QSV encoder outputting green video in some cases (#4842, #4876)
    Fixed pixel format conversion slightly altering colors when using a 10-bit hardware encoder (#5011)
    Fixed scan failures by using swscale instead of zscale when source resolution is not mod 2
    Fixed incorrect PAR when reading from an anamorphic AV1 video track
    Removed an artificial bitrate limit on VP9 CQ mode

Command line interface

    Renamed --two-pass to --multi-pass and --no-two-pass to --no-multi-pass, removed -2 (#5019)
    Fixed automatic cropping enabled despite using preset with cropping disabled (#5055)

Audio

    Fixed low volume level when downmixing ac3 and eac3
    Fixed left-only and right-only mono mixdowns (#3533, #5054)

Subtitles

    Fixed locale settings potentially causing incorrect decimal separator in SSA headers
    Fixed a potential issue affecting zero-duration subtitles

Build system

    Added Meson build system for the Linux GUI

Third-party libraries

    New libraries
        libdovi 3.2.0 (Dolby Vision dynamic range metadata)
    Updated libraries
        AMF 1.4.30 (AMD VCN video encoding)
        FFmpeg 6.1 (decoding and filters)
        FreeType 2.13.2 (subtitles)
        Fribidi 1.0.13 (subtitles)
        HarfBuzz 8.2.2 (subtitles)
        libass 0.17.1 (subtitles)
        libdav1d 1.3.0 (AV1 video decoding)
        liblzma (xz) 5.4.5 (LZMA video decoding, e.g. TIFF)
        libopus 1.4 (Opus audio encoding)
        libjpeg-turbo 3.0.1 (preview image compression)
        libvpx 1.13.1 (VP8/VP9 video encoding)
        libxml 2.11.5 (general)
        oneVPL 2023.3.1 (Intel QSV video encoding/decoding)
        SVT-AV1 1.7 (AV1 video encoding)
        x264 164 r3107 (H.264/AVC video encoding)
        x265 r12776 (H.265/HEVC video encoding)
        zimg 3.0.5 (color conversion)
        zlib 1.3 (general)

Linux

    Added drag and drop support for video scanning
    Added support for native file choosers via xdg-desktop-portal
    Added Queue > Add All menu option
    Added XML chapter import and export
    Added bit depth and HDR information to video summary
    Added option to pause encoding when switching to battery power or when power save mode is activated
    Added automatic file naming options: {codec} {bit-depth} {width} {height} {modification-date} {modification-time}
    Updated Queue, Activity, and Presets windows to no longer float on top of the main window
    Updated existing translations
    Removed obsolete update checker
    Miscellaneous bug fixes and improvements


Reproducible: Always
Comment 1 Gino McCarty 2023-11-21 02:35:54 UTC
add gtk4 flag while your at it.

also looks like allot of deps aren't in tree yet, will probably take a while.
Comment 2 Gino McCarty 2023-11-21 03:18:56 UTC
Created attachment 875262 [details]
handbrake-1.7.0.ebuild
Comment 3 Gino McCarty 2023-11-21 03:36:01 UTC
Created attachment 875263 [details]
handbrake-1.7.0.ebuild

once ffmpeg 6.1 lands in tree I will be able to finish testing

also found some bugs in previous build version
Comment 4 Iade Gesso 2024-01-04 19:59:18 UTC
(In reply to Gino McCarty from comment #3)
> Created attachment 875263 [details]
> handbrake-1.7.0.ebuild
> 
> once ffmpeg 6.1 lands in tree I will be able to finish testing
> 
> also found some bugs in previous build version

I think two big problems come from
 - x265 library: I cannot find r12776 "version"
 - the libdovi library that isn't in the portage tree

Without the former I'm not able to build 1.7.x branch.


Iade
Comment 5 Iade Gesso 2024-01-07 19:50:55 UTC
(In reply to Iade Gesso from comment #4)
> (In reply to Gino McCarty from comment #3)
> > Created attachment 875263 [details]
> > handbrake-1.7.0.ebuild
> > 
> > once ffmpeg 6.1 lands in tree I will be able to finish testing
> > 
> > also found some bugs in previous build version
> 
> I think two big problems come from
>  - x265 library: I cannot find r12776 "version"
>  - the libdovi library that isn't in the portage tree
> 
> Without the former I'm not able to build 1.7.x branch.
> 
> 
> Iade

UPDATE

Even installing x265-9999 and disabling dolby use flag, I cannot build Handbrake 1.7.x due to some error related to x265 (I will post the error after my system will finish to rebuild all the installed packages).